Subject: Re: [RFC] Questions for "Git User's Survey 2011"

From: Jens Lehmann <[email-masked]>
Date: Tue, 02 Aug 2011 20:52:57 +0200

Am 25.07.2011 22:33, schrieb Jakub Narebski:
> I am planning doing annual Git User's Survey, and I'd like to ask for
> feedback.

I'd appreciate to get some user feedback on submodules. What about this:

=== xx. What do you use submodules for? ===
(multiple choice, with other)

 + I don't use submodules at all

 + to import repositories maintained by others
 + for your own (or your organization's) code shared between different projects
 + to separate large and/or many files for performance reasons
 + to separate data which you don't want (or aren't allowed) to disclose

 + Other, please specify